<?php

$folder_stat    = 'download/stat/' ; // rpertoire dans lequel seront stockes les statistiques
$folder_archive = 'download/' ; // rpertoire des tlchargements

if ( isset( $_GET['file'] ) ) // Si le visiteur veut tlcharger un fichier
{
        $name = htmlentities($_GET['file'], ENT_QUOTES); // scurisation de la variable
                
        if ( file_exists( $folder_stat . $name . '.txt' ) ) // si le fichier existe
        {       
                $FileContent = fopen( $folder_stat . $name . '.txt', 'r+' ); // ouverture du fichier statistique contenant le nombre de hit
        
                $hit = fgets( $FileContent ); // rcupration de la valeur
                $hit = intval( $hit ); // on vrifie qu'il s'agisse bien d'un nombre
                $hit++; // ajout de 1 au nombre de hit
                
                fseek( $FileContent, 0 ); // rinitialisation du curseur
                fputs( $FileContent, $hit ); // criture dans le fichier
                
                fclose( $FileContent ); // fermeture du fichier
                
                header( "Location: $folder_archive$name.rar" ); // redirection vers le tlchargement
        }
}

function NumberOfHit( $name ) // cration de la fonction NumberOfHit
{
        $folder_stat = 'download/stat/' ; // rpertoire dans lequel seront srockes les statistiques
        $file = $folder_stat . $name . '.txt' ; // nom du fichier statistique contenant le nombre de hit
        
        if ( file_exists( $file ) ) // si le fichier existe
        {
                $FileContent = fopen( $file , 'r' ); // ouverture du fichier
        
                $hit = fgets( $FileContent ); // rcupration de la valeur
                fclose( $FileContent ); // fermeture du fichier
                
                return $hit; // retour de la valeur de $hit
        }
        else // si le fichier n'existe pas
        {
                touch( $file ); // cration du fichier
                
                $FileContent = fopen( $file  , 'r+' ); // ouverture du fichier
        
                fseek( $FileContent, 0 ); // rinitialisation du curseur
                fputs( $FileContent, 0 ); // criture dans le fichier
                
                fclose( $FileContent ); // fermeture du fichier
        }
}

?>

<html>

<head>
<title>HitCounter</title>
<style type="text/css">
* {
        font-family: Verdana, Arial, serif;
        font-size: 11px;
}
</style>
</head>

<body>
<?php
        
$name   = 'Fruity Loop 6.2' ; // nom du fichier (et de l'archive)
$result = NumberOfHit( $name ) ; // rcupration du nombre de hit pour le nom concern
        
echo '
<h3>' . $name . '</h3>

<p>
        Tlcharger le fichier : <a href="?file=' . $name . '">Direct download</a><br/>
        Nombre de hit : ' . $result . '
</p>
';

?>
</body>

</html>
